Subject: Re: VMS Posix or VMS port for Pine?

From: Terry Gray <[email-masked]>
Date: Wed, 28 Apr 1993 08:04:34 -0700 (PDT)

Mark,
We've had inquiries about a VMS port before, but I'm not sure what's 
actually happening; hence, I've CC'd the "pine-info" list to elicit 
comment from anyone who might be working on one.

-teg

On 28 Apr 1993, SECRIST wrote:

> 
> 	Hello,
> 
> 	Our UNIX group (mostly SUNs) had installed 
> Pine, and I received a copy of the source to try to 
> port to OpenVMS. Noticing the ifdefs for 
> POSIX_WAIT/SIGNALS in the HPP and AIX (A32?), I tried 
> to build under HPP and got close but was missing some 
> include files under POSIX. Can you tell me if there is 
> any ongoing effort to get Pine working under VMS Posix 
> or OpenVMS? Any hints or suggestions are welcome. 
> Thanks.
> 
> 				Mark Secrist
> 				[email-masked]
> 				Univ. of TN, Knoxville
> 
>

---

From: Andy Poling <[email-masked]>
Date: Wed, 28 Apr 1993 12:39:33 -0400

I run into messages once in a while (like today - a PMDF bounce message)
that cause PINE to report an internal bug when I try to read them.  They
almost always contain MIME format data. 

Should I send the messages which cause these errors to this list or to a
particular person?

-Andy

Andy Poling                              Internet: [email-masked]
UNIX Systems Programmer                  Bitnet: ANDY@JHUNIX
Homewood Academic Computing              Voice: (410)516-8096    
Johns Hopkins University                 UUCP: uunet!mimsy!aplcen!jhunix!andy

---

From: Mark Crispin <[email-masked]>
Date: Wed, 28 Apr 1993 12:26:21 -0700 (PDT)

> almost always contain MIME format data.

Are you running Pine 3.07?  There are some known bugs in Pine 3.05 and earlier
that could cause crashes with strangely formatted MIME data.  Fixes for most
of these bugs are in Pine 3.07.  All known bugs are fixed in the lastest
development sources.  One of the most worst bugs had to do with a Content-Type
that had a blank subtype, e.g. ``TEXT/'' (note the trailing slash).

If the problem still happens in Pine 3.07, please send us a copy of the
message that triggers the bug with instructions on how to reproduce it.

> Should I send the messages which cause these errors to this list or to a

It is best to send such reports to [email-masked].  You may also
want to call a bug in c-client (which does RFC822/MIME parsing as well as
actual mailbox handling) directly to my attention, but please don't send a bug
report only to me.  First, UW keeps an archive of the reports; second, about
30% of the bugs sent directly to me turn out to be in another programmer's
balliwick.

Regards,

-- Mark --

---

From: Sheryl Erez <[email-masked]>
Date: Wed, 28 Apr 1993 13:36:05 -0700 (PDT)

This seems like a good time to post a reminder about bug reports.
The address for bugs is [email-masked].  If you
see something that you think is a bug in Pine, send it in.  It
helps us enormously if you add as much context as possible.  What
version of Pine do you use?  What system hardware and software?
Clippings from .pine-debug files and a good description of the
situation in which the bug occurs are much appreciated.

If it is a known bug, we'll tell you that -- it saves you time and
lets us know what problems are coming up frequently.  If the problem
looks like it is about IMAP or other code Pine depends on, we can
make sure the right people see the report.  If we think it is some
problem in your local setup outside of Pine, we'll tell you that too.

I do have two requests: Don't suggest to plain old users that they
send in reports to [email-masked] without a local
"computer person" taking a look at it first.  Also, be as patient as
you can with response time -- we're sending email as fast as we can!

                       Sheryl Erez
                         [email-masked]
                           UW Network Information Center